import { DocumentLabelerData } from './documentLabeler/state/DocumentLabelerState';
import { ButlerBlockApi } from './api/apiCalls';
import { BBConfigurations } from './documentLabeler/context/BBConfigurationProvider';
declare type CreateDocLabelerFn = (id: string, data: DocumentLabelerData, config: BBConfigurations) => void;
declare type LoadedButlerBlocksSdk = {
    createDocLabeler: CreateDocLabelerFn;
    api: ButlerBlockApi;
};
declare const loadButlerBlocks: (apiKey: string) => LoadedButlerBlocksSdk;
export { loadButlerBlocks };
