import React from 'react';
import { DocumentLabelerInternalState } from './state/DocumentLabelerState';
declare type Props = {
    children?: React.ReactNode;
    internalState?: DocumentLabelerInternalState;
};
/**
 * Takes in an internal state of the Document Labeler Provider to allow for
 * testing of internal components with particular state configurations.
 */
export declare const MockDocumentLabelerProvider: React.FC<Props>;
export {};
