import { jsx as _jsx } from "react/jsx-runtime";
import { withSize } from 'react-sizeme';
import { MimeType } from '../../../../common/types/DocumentLabelerTypes';
import { useDocumentDisplayer } from './useDocumentDisplayer';
import { DocumentDisplayer } from './DocumentDisplayer';
import { MockDocumentLabelerData } from '../../../MockDocumentLabelerData.stories';
import { DocumentContainer } from '../documentContainer/DocumentContainer';
export default {
    component: DocumentDisplayer,
    title: 'Document Displayer',
    parameters: {
        fileName: __filename,
    },
};
var TestDocumentDisplayerBase = function (_a) {
    var _b, _c;
    var document = _a.document, mimeType = _a.mimeType, size = _a.size;
    var width = (_b = size === null || size === void 0 ? void 0 : size.width) !== null && _b !== void 0 ? _b : 0;
    var height = (_c = size === null || size === void 0 ? void 0 : size.height) !== null && _c !== void 0 ? _c : 0;
    var _d = useDocumentDisplayer(mimeType, {
        width: width,
        height: height,
    }), pages = _d.pages, loaders = _d.loaders;
    return (_jsx(DocumentContainer, { children: _jsx(DocumentDisplayer, { mimeType: mimeType, width: width, document: document, loaders: loaders, pages: pages }) }));
};
var TestDocumentDisplayer = withSize({ monitorHeight: true })(TestDocumentDisplayerBase);
export var Default = function () { return (_jsx(TestDocumentDisplayer, { document: MockDocumentLabelerData.tempDocUrl, mimeType: MimeType.Pdf })); };
