import { Coords, RectCoords } from '../utils/EndUserBlockRenderUtils';
declare type ExternalHookState = {
    onDragStart: (startCoords: Coords) => void;
    onDrag: (newMouseCoords: Coords) => void;
    onDragEnd: () => void;
    dragRectangle?: RectCoords;
};
/**
 * Hook that is used to keep track of drag state
 * @param stepLabels
 */
export declare const useDragBlockSelect: () => ExternalHookState;
export {};
