import { FieldType } from '../../../../common/types/DocumentLabelerTypes';
import React from 'react';
declare const _default: {
    component: React.FC<{
        id: string;
        type: FieldType;
        name: string;
        value: string;
        color: string;
        hasValue?: boolean | undefined;
    }>;
    title: string;
    parameters: {
        fileName: string;
    };
    decorators: ((Story: React.FC) => React.ReactElement)[];
};
export default _default;
export declare const Default: () => JSX.Element;
export declare const Selected: () => JSX.Element;
export declare const LongName: () => JSX.Element;
export declare const LongValue: () => JSX.Element;
