import { ActiveField, DocumentLabelerInternalState } from './DocumentLabelerState';
import { BlockDto } from '../../common/types/DocumentLabelerTypes';
export declare type AddBlockToActiveFieldAction = {
    type: 'addBlocksToActiveField';
    payload: {
        blocks: Array<BlockDto>;
    };
};
export declare type RemoveBlockFromFieldAction = {
    type: 'removeBlockFromField';
    payload: {
        blockId: string;
        field: ActiveField;
    };
};
export declare const BlockReducerUtils: {
    addBlockToActiveField: (state: DocumentLabelerInternalState, action: AddBlockToActiveFieldAction) => DocumentLabelerInternalState;
    removeBlockFromField: (state: DocumentLabelerInternalState, action: RemoveBlockFromFieldAction) => DocumentLabelerInternalState;
};
